Bug 477072 - gfs2_fsck man page should be fsck.gfs2 man page
gfs2_fsck man page should be fsck.gfs2 man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On:
Blocks: 514939
  Show dependency treegraph
 
Reported: 2008-12-18 17:23 EST by Steven J. Levine
Modified: 2010-01-11 22:41 EST (History)
8 users (show)

See Also:
Fixed In Version: gfs2-utils-0.1.62-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 514939 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (26.71 KB, patch)
2009-01-27 16:22 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Description Steven J. Levine 2008-12-18 17:23:34 EST
Description of problem:
In an exchange with Steve Whitehouse, he noted this:

"gfs2_fsck and
fsck.gfs2 are the same physical binary. gfs2_fsck is an older
non-standard name for fsck.gfs2. Normally people will run fsck which
will automatically look for the filesystem specific backend (fsck.gfs2)
and run it. Likewise the situation with mount and mount.gfs2 is that
mount is just a front end that runs the filesystem specific mount
helper.

I'd prefer to gradually push people into using the standard new naming,
so although we provide gfs2_fsck, if we don't document it, then people
will, I hope gradually start using fsck.gfs2. We could even add a note
to say that gfs2_fsck is going away at some future date."

I believe this man page should become the fsck.gfs2 man page.

On a related note, the gfs2 man page should reference fsck.gfs2 (rather than gfs2_fsck, as it does currently).


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Peterson 2008-12-22 17:45:23 EST
Perhaps we can rename the part to the recommended new name, fix the
reference, and change the Makefile to create a symlink from the old
part to the new part.  Requesting ack flags for inclusion in 5.4.
Comment 2 Robert Peterson 2009-01-16 11:14:54 EST
The build system for upstream has been improved significantly from
the older build system in RHEL5, thanks to Fabio Di Nitto.

I've talked it over with Fabio and he has agreed to take care of the
master, STABLE2 and STABLE3 branches of the gfs2-utils git repository.
As I predicted, he wants it done in a specific way.

I'll take care of the RHEL5 branch of the cluster git repository.
Fabio suggested that Chris Feist may need to make some changes based on
how the RHEL5 branch is built.

Therefore, I'm adding Fabio and Chris to the cc list to get their
input on the "correct way" to do this for all git branches.
Based on my conversation with Fabio, I'm assuming it's more complex
than renaming the part with "git mv" and changing the Makefiles to
create a symlink like we do with mkfs.gfs2.
Comment 3 Fabio Massimo Di Nitto 2009-01-23 04:52:43 EST
I have been thinking a bit about this.

As upstream goes (== all git trees) we should ship the right binaries and man pages.

In order to provide backward compatibility, packging can create symlinks. I don't think it's upstream job to create "forever" compatibility.

I will checkin those changes in STABLE* and master.

I think the same should be done for RHEL5.

Also note that gfs1 might be affected by the same problems.

Fabio
Comment 4 Fabio Massimo Di Nitto 2009-01-23 07:12:57 EST
Hi Rob,

you can look at those changes from STABLE2:

gfs1:
472567e426fe7635f62f76e6dc1c21153acc12f6
f0b2be86083982ff1fd6444c11268d051b936e5b

gfs2:
2c1598f2a824832c2b09351f69d11563759b901e
6d76ef76f1fd9667667db89d48915270b80bec28

They won't apply clean to RHEL5 but it's a good idea of what to look for on top of the rename.

Fabio
Comment 5 Robert Peterson 2009-01-27 16:22:12 EST
Created attachment 330157 [details]
Proposed patch

This patch contains the following fixes:

1. Renames gfs2_fsck.8 to fsck.gfs2.8
2. Renames gfs2_mount.8 to mount.gfs2.8
3. Changes the man directory Makefile to hard link the old names to
   the new names.
4. Fixes a few typos that Steve Whitehouse spotted and fixed upstream.

The Makefiles for RHEL5.x are quite different from upstream, so I'm
doing it this way to avoid radical changes in the RHEL5 build system.
Comment 6 Robert Peterson 2009-01-27 16:47:55 EST
Asking Chris Feist to see if this fits in okay with the current
RHEL5 build system before I push it to the git repository.
Comment 7 Robert Peterson 2009-01-27 17:22:26 EST
It seems to have met with Chris's approval, so I'm canceling NEEDINFO.
I tested it on roth-01 and pushed it to the RHEL5 branch of the
cluster.git repository for inclusion into 5.4.  I did also fix some white-
space issues that appear in the attached patch, but I'm not going to post
a replacement to the bz.  Fabio has the upstream version under control,
but the Makefile implementation is different.  Changing status to
MODIFIED.
Comment 10 Jan Stodola 2009-07-24 05:12:23 EDT
There are some references to gfs2_fsck and gfs2_mount in man pages from gfs2-util package (gfs2-utils-0.1.61-1.el5). I'm not sure if this can be ignored or not:

# cd /usr/share/man/man8
# zgrep gfs2_fsck *
gfs2_edit.8.gz:in order to test gfs2_fsck's ability to detect and fix the problem.
gfs2_edit.8.gz:in order to test gfs2_fsck's ability to detect and fix the problem.
gfs2_grow.8.gz:calculated when mkfs.gfs2 was done.  This allows tools like gfs2_fsck

# zgrep gfs2_mount *
gfs2_tool.8.gz:.\"options passed with the -o field on the next mount.  See gfs2_mount(8).

I haven't found any other error blocking this bug to be moved to VERIFIED.
Comment 11 Steve Whitehouse 2009-07-24 05:23:52 EDT
Those ought to be fixed too.
Comment 12 Jan Stodola 2009-07-24 06:01:12 EDT
Moving back to ASSIGNED, based on comment 11
Comment 14 Robert Peterson 2009-07-24 11:07:08 EDT
Sorry I missed those.  The man pages pointed out in comment #10
have been fixed and pushed to the master branch of the gfs2-utils
git tree, and the STABLE3, STABLE2, RHEL5 and RHEL54 branches of
the cluster git tree for inclusion into 5.4.  Turning this over
to Chris Feist to work his magic.
Comment 17 Jan Stodola 2009-07-31 11:09:54 EDT
There is still one reference to the gfs2_mount(8):

[root@athlon6 man8]# pwd
/usr/share/man/man8
[root@athlon6 man8]# zgrep gfs2_mount *
gfs2_tool.8.gz:.\"options passed with the -o field on the next mount.  See gfs2_mount(8).

tested with Snapshot 5, gfs2-utils-0.1.62-1.el5, i386 machine
Moving back to ASSIGNED
Comment 18 Robert Peterson 2009-07-31 11:52:10 EDT
Too late to fix additional issue in 5.4.  I created bz 514939 to fix this in
5.5.  Moving back to ON_QA for existing patch.
Comment 19 Jan Stodola 2009-08-01 05:57:49 EDT
Incorrect reference to gfs2_mount(8) in gfs2_tool man page will be resolved in bug 514939, moving to VERIFIED.

Tested with RHEL5.4 Snapshot 5, gfs2-utils-0.1.62-1.el5, arch i386
Comment 21 errata-xmlrpc 2009-09-02 07:02:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1337.html

Note You need to log in before you can comment on or make changes to this bug.